# Examples and seeds

Here is a complete list of official seeds and examples

## Examples

A collection of examples that are spread out in the current documentation
```bash
https://github.com/fuse-box/fuse-box-examples
```

### React code splitting

A fully functioning react application meets fusebox code splitting

```bash
git clone https://github.com/fuse-box/fuse-box-examples
cd examples/react-code-splitting
node fuse
```

### Register package

How to register an external package

```bash
git clone https://github.com/fuse-box/fuse-box-examples
cd examples/register-package
node fuse
```

warning: Requires documentation

### Server + client

How to bundle server and client in one producer


```bash
git clone https://github.com/fuse-box/fuse-box-examples
cd examples/server-client
node fuse
```

### Testing

How to use the test runner
```bash
git clone https://github.com/fuse-box/fuse-box-examples
cd examples/testing
node fuse
```


### Vendor splitting

How to properly split bundles

```bash
git clone https://github.com/fuse-box/fuse-box-examples
cd examples/vendor-splitting
node fuse
```

### Angular 2 example

Angular 2 example

```bash
git clone https://github.com/fuse-box/angular2-example.git
npm install
node fuse
```

### Angular Universal
Seed project for Angular Universal apps featuring Server-Side Rendering (SSR), FuseBox, dev/prod builds, Brotli/Gzip compression, SCSS, favicon generation, @types, unit testing w/ Jest, SEO and OG meta social sharing tags, automatic sitemap generator, ad-block detection service, CDN origin injection, and more! 

https://github.com/patrickmichalina/fusebox-angular-universal-starter


## StoryBook on steroids
https://github.com/tomitrescak/luis
LUIS: Fast and agile React component catalogue, test runner and snaphost manager that is in love with Typescript.

StoryBook — Start 36 seconds, Hot Module Reload with sourcemaps 9 seconds.

LUIS — Start 400 ms, Hot Module Reload with sourcemaps 750 ms. Now that's what I call a significant difference.


## FuseBox debug
https://github.com/andrew-w-ross/fuse-debug
A demo on how to debug a fuse-box project in vscode




https://github.com/andrew-w-ross/fuse-debug
### FuseBox + rollup

How to use rollup with FuseBox
```bash
git clone https://github.com/fuse-box/fuse-box-rollup-example.git
npm install
node fuse
```

### React

How to use react and babel + fusebox

```bash
git clone https://github.com/fuse-box/react-example.git
npm install
node fuse
```

### Shimming example
An example how to shim jquery and "fix" a required css from npm

```bash
git clone https://github.com/fuse-box/shimming-and-css-example
npm install
node fuse
```

## Seeds

### FuseMob SSR

Full stack Typescript native web apps

Utilizing the blazing bundling speed of FuseBox, this starter kit will have you off the ground in no time building modern web apps with libraries that work seamlessly with Typescript.

```bash
git clone https://github.com/mattoni/fusemob-ssr
yarn start # starts the app in development mode
```


### Express
This project is to get you started using FuseBox as module loader and bundler with Node and express.js using TypeScript

```bash
git clone https://github.com/fuse-box/fuse-box-express-seed
npm install
npm start
```

### NPM Package seed

Create and publish your npm packages with FuseBox

```bash
git clone https://github.com/fuse-box/fuse-box-npm-package-seed.git
npm install
node fuse
```

### Electron seed

A blazing fast fully fledged Electron application

```bash
git clone https://github.com/fuse-box/fuse-box-electron-seed.git
npm install
node fuse
```

### Typescript With Electron React-kit

https://github.com/skellock/typescript-with-electron-react-kit

### Aurelia seed
A skeleton for Aurelia using FuseBox.

https://github.com/fuse-box/fuse-box-aurelia-seed

### Web application seed (express+js-data+vue)
A complete minimal web application, managing from the browser to the database, fused with express, [js-data](http://www.js-data.io/docs/home) and [vue](https://vuejs.org/).

https://github.com/eddow/otheca